# Installation

## Requirements

Android API version <mark style="color:blue;">`24`</mark> or higher

## Installation

### Add WepinLoginLibrary to .gradle&#x20;

Add the JitPack repository to the project-level's build gradle file

```kts
 dependencyResolutionManagement {
     repositoriesMode.set(RepositoriesMode.FAIL_ON_PROJECT_REPOS)
     repositories {
         google()
         mavenCentral()
         maven("https://jitpack.io") // <= Add JitPack Repository
     }
 }
```

### Add WepinLoginLibrary to dependencies&#x20;

Add the following to the app's build gradle file. You can insert the release version you want to use.

```xml
dependencies {
  // ...
  implementation("com.github.WepinWallet:wepin-android-sdk-login-v1:vX.X.X") 
}
```

### Add Permission

Add the following to the app's AndroidManifest.

```xml
<uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
<uses-permission android:name="android.permission.INTERNET" />
```

### Setting up Deep Link

#### Deep Link scheme format : <mark style="color:blue;">`wepin. + Your Wepin App ID`</mark>

When a custom scheme is used, WepinLogin Library can be easily configured to capture all redirects using this custom scheme through a manifest placeholder

Add the following to the app's build gradle file.

```xml
// For Deep Link => RedirectScheme Format : wepin. + Wepin App ID
android.defaultConfig.manifestPlaceholders = [
  'appAuthRedirectScheme': 'wepin.{{YOUR_WEPIN_APPID}}'
]
```

Add the following to the app's AndroidManifest file.

```xml
<activity
  android:name="com.wepin.android.loginlib.RedirectUriReceiverActivity"
  android:exported="true">
  <intent-filter>
     <action android:name="android.intent.action.VIEW" />

     <category android:name="android.intent.category.DEFAULT" />
     <category android:name="android.intent.category.BROWSABLE" />
     <data
      android:host="oauth2redirect"
      android:scheme="${appAuthRedirectScheme}" />
  </intent-filter>
</activity>
```

## Release

The released package versions can be found on the GitHub repository below.

{% embed url="<https://github.com/WepinWallet/wepin-android-sdk-login-v1/releases>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wepin.io/en/widget-integration/android-java-and-kotlin-sdk/login-library/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
